ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.127 by root, Mon May 5 16:51:52 2008 UTC vs.
Revision 1.129 by root, Fri Sep 4 15:40:12 2009 UTC

5324 5324
5325 5325
5326 5326
5327 5327
5328 5328
5329
5329for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h sys/eventfd.h 5330for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h sys/eventfd.h sys/signalfd.h
5330do 5331do
5331as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 5332as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5332if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 5333if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5333 { echo "$as_me:$LINENO: checking for $ac_header" >&5 5334 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5334echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 5335echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5471 5472
5472 5473
5473 5474
5474 5475
5475 5476
5477
5476for ac_func in inotify_init epoll_ctl kqueue port_create poll select eventfd 5478for ac_func in inotify_init epoll_ctl kqueue port_create poll select eventfd signalfd
5477do 5479do
5478as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5480as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5479{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5481{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5480echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 5482echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5481if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 5483if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5650echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; } 5652echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5651if test $ac_cv_func_clock_gettime = yes; then 5653if test $ac_cv_func_clock_gettime = yes; then
5652 : 5654 :
5653else 5655else
5654 5656
5655 if test -z "$LIBEV_M4_AVOID_LIBRT"; then 5657 if test $(uname) = Linux; then
5658 { echo "$as_me:$LINENO: checking for clock_gettime syscall" >&5
5659echo $ECHO_N "checking for clock_gettime syscall... $ECHO_C" >&6; }
5660 cat >conftest.$ac_ext <<_ACEOF
5661/* confdefs.h. */
5662_ACEOF
5663cat confdefs.h >>conftest.$ac_ext
5664cat >>conftest.$ac_ext <<_ACEOF
5665/* end confdefs.h. */
5666#include <syscall.h>
5667 #include <time.h>
5668int
5669main ()
5670{
5671struct timespec ts; int status = syscall (SYS_clock_gettime, CLOCK_REALTIME, &ts)
5672 ;
5673 return 0;
5674}
5675_ACEOF
5676rm -f conftest.$ac_objext conftest$ac_exeext
5677if { (ac_try="$ac_link"
5678case "(($ac_try" in
5679 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5680 *) ac_try_echo=$ac_try;;
5681esac
5682eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5683 (eval "$ac_link") 2>conftest.er1
5684 ac_status=$?
5685 grep -v '^ *+' conftest.er1 >conftest.err
5686 rm -f conftest.er1
5687 cat conftest.err >&5
5688 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5689 (exit $ac_status); } && {
5690 test -z "$ac_cxx_werror_flag" ||
5691 test ! -s conftest.err
5692 } && test -s conftest$ac_exeext &&
5693 $as_test_x conftest$ac_exeext; then
5694 ac_have_clock_syscall=1
5695
5696cat >>confdefs.h <<\_ACEOF
5697#define HAVE_CLOCK_SYSCALL 1
5698_ACEOF
5699
5700 { echo "$as_me:$LINENO: result: yes" >&5
5701echo "${ECHO_T}yes" >&6; }
5702else
5703 echo "$as_me: failed program was:" >&5
5704sed 's/^/| /' conftest.$ac_ext >&5
5705
5706 { echo "$as_me:$LINENO: result: no" >&5
5707echo "${ECHO_T}no" >&6; }
5708fi
5709
5710rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5711 conftest$ac_exeext conftest.$ac_ext
5712 fi
5713 if test -z "$LIBEV_M4_AVOID_LIBRT" && test -z "$ac_have_clock_syscall"; then
5656 5714
5657{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5 5715{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5658echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; } 5716echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5659if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then 5717if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5660 echo $ECHO_N "(cached) $ECHO_C" >&6 5718 echo $ECHO_N "(cached) $ECHO_C" >&6
6149_ACEOF 6207_ACEOF
6150 6208
6151 LIBS="-lm $LIBS" 6209 LIBS="-lm $LIBS"
6152 6210
6153fi 6211fi
6154
6155
6156 6212
6157 6213
6158 6214
6159 6215
6160 6216
8558 8614
8559 8615
8560 8616
8561 8617
8562for ac_func in \ 8618for ac_func in \
8563 ttyslot \
8564 updwtmp \ 8619 updwtmp \
8565 updwtmpx \ 8620 updwtmpx \
8621 updlastlogx \
8566 8622
8567do 8623do
8568as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 8624as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8569{ echo "$as_me:$LINENO: checking for $ac_func" >&5 8625{ echo "$as_me:$LINENO: checking for $ac_func" >&5
8570echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 8626echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
8656fi 8712fi
8657done 8713done
8658 8714
8659 8715
8660 8716
8661
8662
8663for ac_header in \ 8717for ac_header in lastlog.h
8664 utmp.h \
8665 utmpx.h \
8666 lastlog.h \
8667
8668do 8718do
8669as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 8719as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8670if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8720if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8671 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8721 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8672echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8722echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8803 8853
8804done 8854done
8805 8855
8806 8856
8807 8857
8808if test "${ac_cv_header_utmp_h+set}" = set; then 8858
8859for ac_header in utmp.h
8860do
8861as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8862if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8809 { echo "$as_me:$LINENO: checking for utmp.h" >&5 8863 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8810echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 8864echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8811if test "${ac_cv_header_utmp_h+set}" = set; then 8865if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8812 echo $ECHO_N "(cached) $ECHO_C" >&6 8866 echo $ECHO_N "(cached) $ECHO_C" >&6
8813fi 8867fi
8868ac_res=`eval echo '${'$as_ac_Header'}'`
8814{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 8869 { echo "$as_me:$LINENO: result: $ac_res" >&5
8815echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 8870echo "${ECHO_T}$ac_res" >&6; }
8816else 8871else
8817 # Is the header compilable? 8872 # Is the header compilable?
8818{ echo "$as_me:$LINENO: checking utmp.h usability" >&5 8873{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
8819echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; } 8874echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
8820cat >conftest.$ac_ext <<_ACEOF 8875cat >conftest.$ac_ext <<_ACEOF
8821/* confdefs.h. */ 8876/* confdefs.h. */
8822_ACEOF 8877_ACEOF
8823cat confdefs.h >>conftest.$ac_ext 8878cat confdefs.h >>conftest.$ac_ext
8824cat >>conftest.$ac_ext <<_ACEOF 8879cat >>conftest.$ac_ext <<_ACEOF
8825/* end confdefs.h. */ 8880/* end confdefs.h. */
8826$ac_includes_default 8881$ac_includes_default
8827#include <utmp.h> 8882#include <$ac_header>
8828_ACEOF 8883_ACEOF
8829rm -f conftest.$ac_objext 8884rm -f conftest.$ac_objext
8830if { (ac_try="$ac_compile" 8885if { (ac_try="$ac_compile"
8831case "(($ac_try" in 8886case "(($ac_try" in
8832 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8887 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8854rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8909rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8855{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 8910{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8856echo "${ECHO_T}$ac_header_compiler" >&6; } 8911echo "${ECHO_T}$ac_header_compiler" >&6; }
8857 8912
8858# Is the header present? 8913# Is the header present?
8859{ echo "$as_me:$LINENO: checking utmp.h presence" >&5 8914{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
8860echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; } 8915echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
8861cat >conftest.$ac_ext <<_ACEOF 8916cat >conftest.$ac_ext <<_ACEOF
8862/* confdefs.h. */ 8917/* confdefs.h. */
8863_ACEOF 8918_ACEOF
8864cat confdefs.h >>conftest.$ac_ext 8919cat confdefs.h >>conftest.$ac_ext
8865cat >>conftest.$ac_ext <<_ACEOF 8920cat >>conftest.$ac_ext <<_ACEOF
8866/* end confdefs.h. */ 8921/* end confdefs.h. */
8867#include <utmp.h> 8922#include <$ac_header>
8868_ACEOF 8923_ACEOF
8869if { (ac_try="$ac_cpp conftest.$ac_ext" 8924if { (ac_try="$ac_cpp conftest.$ac_ext"
8870case "(($ac_try" in 8925case "(($ac_try" in
8871 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8926 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8872 *) ac_try_echo=$ac_try;; 8927 *) ac_try_echo=$ac_try;;
8895echo "${ECHO_T}$ac_header_preproc" >&6; } 8950echo "${ECHO_T}$ac_header_preproc" >&6; }
8896 8951
8897# So? What about this header? 8952# So? What about this header?
8898case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 8953case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8899 yes:no: ) 8954 yes:no: )
8900 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5 8955 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
8901echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 8956echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
8902 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5 8957 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
8903echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;} 8958echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
8904 ac_header_preproc=yes 8959 ac_header_preproc=yes
8905 ;; 8960 ;;
8906 no:yes:* ) 8961 no:yes:* )
8907 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5 8962 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
8908echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;} 8963echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
8909 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5 8964 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
8910echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;} 8965echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
8911 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5 8966 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
8912echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;} 8967echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
8913 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5 8968 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
8914echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;} 8969echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
8915 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5 8970 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
8916echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;} 8971echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
8917 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5 8972 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
8918echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;} 8973echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
8919 8974
8920 ;; 8975 ;;
8921esac 8976esac
8922{ echo "$as_me:$LINENO: checking for utmp.h" >&5 8977{ echo "$as_me:$LINENO: checking for $ac_header" >&5
8923echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 8978echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8924if test "${ac_cv_header_utmp_h+set}" = set; then 8979if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8925 echo $ECHO_N "(cached) $ECHO_C" >&6 8980 echo $ECHO_N "(cached) $ECHO_C" >&6
8926else 8981else
8927 ac_cv_header_utmp_h=$ac_header_preproc 8982 eval "$as_ac_Header=\$ac_header_preproc"
8928fi 8983fi
8984ac_res=`eval echo '${'$as_ac_Header'}'`
8929{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 8985 { echo "$as_me:$LINENO: result: $ac_res" >&5
8930echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 8986echo "${ECHO_T}$ac_res" >&6; }
8931 8987
8932fi 8988fi
8933if test $ac_cv_header_utmp_h = yes; then 8989if test `eval echo '${'$as_ac_Header'}'` = yes; then
8990 cat >>confdefs.h <<_ACEOF
8991#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
8992_ACEOF
8934 { echo "$as_me:$LINENO: checking for struct utmp" >&5 8993 { echo "$as_me:$LINENO: checking for struct utmp" >&5
8935echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 8994echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
8936if test "${struct_utmp+set}" = set; then 8995if test "${struct_utmp+set}" = set; then
8937 echo $ECHO_N "(cached) $ECHO_C" >&6 8996 echo $ECHO_N "(cached) $ECHO_C" >&6
8938else 8997else
8939 cat >conftest.$ac_ext <<_ACEOF 8998 cat >conftest.$ac_ext <<_ACEOF
9106 9165
9107fi 9166fi
9108 9167
9109fi 9168fi
9110 9169
9170done
9111 9171
9112 9172
9113if test "${ac_cv_header_utmpx_h+set}" = set; then 9173
9174for ac_header in utmpx.h
9175do
9176as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9177if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9114 { echo "$as_me:$LINENO: checking for utmpx.h" >&5 9178 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9115echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 9179echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9116if test "${ac_cv_header_utmpx_h+set}" = set; then 9180if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9117 echo $ECHO_N "(cached) $ECHO_C" >&6 9181 echo $ECHO_N "(cached) $ECHO_C" >&6
9118fi 9182fi
9183ac_res=`eval echo '${'$as_ac_Header'}'`
9119{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 9184 { echo "$as_me:$LINENO: result: $ac_res" >&5
9120echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 9185echo "${ECHO_T}$ac_res" >&6; }
9121else 9186else
9122 # Is the header compilable? 9187 # Is the header compilable?
9123{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5 9188{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
9124echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; } 9189echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
9125cat >conftest.$ac_ext <<_ACEOF 9190cat >conftest.$ac_ext <<_ACEOF
9126/* confdefs.h. */ 9191/* confdefs.h. */
9127_ACEOF 9192_ACEOF
9128cat confdefs.h >>conftest.$ac_ext 9193cat confdefs.h >>conftest.$ac_ext
9129cat >>conftest.$ac_ext <<_ACEOF 9194cat >>conftest.$ac_ext <<_ACEOF
9130/* end confdefs.h. */ 9195/* end confdefs.h. */
9131$ac_includes_default 9196$ac_includes_default
9132#include <utmpx.h> 9197#include <$ac_header>
9133_ACEOF 9198_ACEOF
9134rm -f conftest.$ac_objext 9199rm -f conftest.$ac_objext
9135if { (ac_try="$ac_compile" 9200if { (ac_try="$ac_compile"
9136case "(($ac_try" in 9201case "(($ac_try" in
9137 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9202 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9159rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 9224rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9160{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 9225{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9161echo "${ECHO_T}$ac_header_compiler" >&6; } 9226echo "${ECHO_T}$ac_header_compiler" >&6; }
9162 9227
9163# Is the header present? 9228# Is the header present?
9164{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5 9229{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
9165echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; } 9230echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
9166cat >conftest.$ac_ext <<_ACEOF 9231cat >conftest.$ac_ext <<_ACEOF
9167/* confdefs.h. */ 9232/* confdefs.h. */
9168_ACEOF 9233_ACEOF
9169cat confdefs.h >>conftest.$ac_ext 9234cat confdefs.h >>conftest.$ac_ext
9170cat >>conftest.$ac_ext <<_ACEOF 9235cat >>conftest.$ac_ext <<_ACEOF
9171/* end confdefs.h. */ 9236/* end confdefs.h. */
9172#include <utmpx.h> 9237#include <$ac_header>
9173_ACEOF 9238_ACEOF
9174if { (ac_try="$ac_cpp conftest.$ac_ext" 9239if { (ac_try="$ac_cpp conftest.$ac_ext"
9175case "(($ac_try" in 9240case "(($ac_try" in
9176 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9241 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9177 *) ac_try_echo=$ac_try;; 9242 *) ac_try_echo=$ac_try;;
9200echo "${ECHO_T}$ac_header_preproc" >&6; } 9265echo "${ECHO_T}$ac_header_preproc" >&6; }
9201 9266
9202# So? What about this header? 9267# So? What about this header?
9203case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 9268case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9204 yes:no: ) 9269 yes:no: )
9205 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5 9270 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
9206echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 9271echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
9207 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5 9272 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
9208echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;} 9273echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
9209 ac_header_preproc=yes 9274 ac_header_preproc=yes
9210 ;; 9275 ;;
9211 no:yes:* ) 9276 no:yes:* )
9212 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5 9277 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
9213echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;} 9278echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
9214 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5 9279 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
9215echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;} 9280echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
9216 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5 9281 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
9217echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;} 9282echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
9218 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5 9283 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
9219echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;} 9284echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
9220 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5 9285 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
9221echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;} 9286echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
9222 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5 9287 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
9223echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;} 9288echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
9224 9289
9225 ;; 9290 ;;
9226esac 9291esac
9227{ echo "$as_me:$LINENO: checking for utmpx.h" >&5 9292{ echo "$as_me:$LINENO: checking for $ac_header" >&5
9228echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 9293echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9229if test "${ac_cv_header_utmpx_h+set}" = set; then 9294if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9230 echo $ECHO_N "(cached) $ECHO_C" >&6 9295 echo $ECHO_N "(cached) $ECHO_C" >&6
9231else 9296else
9232 ac_cv_header_utmpx_h=$ac_header_preproc 9297 eval "$as_ac_Header=\$ac_header_preproc"
9233fi 9298fi
9299ac_res=`eval echo '${'$as_ac_Header'}'`
9234{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 9300 { echo "$as_me:$LINENO: result: $ac_res" >&5
9235echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 9301echo "${ECHO_T}$ac_res" >&6; }
9236 9302
9237fi 9303fi
9238if test $ac_cv_header_utmpx_h = yes; then 9304if test `eval echo '${'$as_ac_Header'}'` = yes; then
9305 cat >>confdefs.h <<_ACEOF
9306#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9307_ACEOF
9239 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 9308 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
9240echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 9309echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
9241if test "${struct_utmpx+set}" = set; then 9310if test "${struct_utmpx+set}" = set; then
9242 echo $ECHO_N "(cached) $ECHO_C" >&6 9311 echo $ECHO_N "(cached) $ECHO_C" >&6
9243else 9312else
9244 cat >conftest.$ac_ext <<_ACEOF 9313 cat >conftest.$ac_ext <<_ACEOF
9411 9480
9412fi 9481fi
9413 9482
9414fi 9483fi
9415 9484
9485done
9416 9486
9417{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 9487{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
9418echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 9488echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
9419if test "${struct_lastlog+set}" = set; then 9489if test "${struct_lastlog+set}" = set; then
9420 echo $ECHO_N "(cached) $ECHO_C" >&6 9490 echo $ECHO_N "(cached) $ECHO_C" >&6
9991 10061
9992cat >>confdefs.h <<_ACEOF 10062cat >>confdefs.h <<_ACEOF
9993#define LASTLOG_FILE "$path_lastlog" 10063#define LASTLOG_FILE "$path_lastlog"
9994_ACEOF 10064_ACEOF
9995 10065
9996 if test -d "$path_lastlog"; then
9997
9998cat >>confdefs.h <<\_ACEOF
9999#define LASTLOG_IS_DIR 1
10000_ACEOF
10001
10002 fi
10003fi 10066fi
10004 10067
10005{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5 10068{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5
10006echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; } 10069echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; }
10007if test "${path_lastlogx+set}" = set; then 10070if test "${path_lastlogx+set}" = set; then

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines